Browse Source

gnu: libvpx: Set size limit to avoid CVE-2015-1258.

* gnu/packages/video.scm (libvpx)[arguments]: Add "--size-limit"
  argument to configure.
wip-container
Mark H Weaver 7 years ago
parent
commit
2ab5e39d22
  1. 2
      gnu/packages/video.scm

2
gnu/packages/video.scm

@ -777,6 +777,8 @@ projects while introducing many more.")
(zero? (system* "./configure"
"--enable-shared"
"--as=yasm"
;; Limit size to avoid CVE-2015-1258
"--size-limit=16384x16384"
(string-append "--prefix=" out)))))
%standard-phases)
#:tests? #f)) ; no check target

Loading…
Cancel
Save